%set_verify_elf_method textrel=relaxed,rpath=relaxed

%define ocamlver 3.08.0-alt0.2

Name: lablGL
Version: 1.00
Release: alt6

Group: Development/Other
Summary: OpenGL library for OCaml
License: Distributable
Packager: Vitaly Lugovsky <vsl@altlinux.ru>
Url: http://wwwfun.kurims.kyoto-u.ac.jp/soft/
Source: http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/lablgl-%version.tar.gz
Patch: lablgl-%version-make.patch
Requires: ocaml = %ocamlver, labltk = %ocamlver, lablGL-runtime = %version-%release, libGLU

# Automatically added by buildreq on Mon Oct 13 2003
BuildRequires: XFree86-devel XFree86-libs camlp4 labltk libGLU-devel libGLwrapper libglut-devel libtcl libtk ocaml-graphics ocaml-runtime tcl-devel tk-devel

BuildRequires: ocaml = %ocamlver, camlp4 = %ocamlver, labltk = %ocamlver, Mesa-devel, XFree86-devel
BuildRequires: libGLU-devel

%package runtime
Summary: runtime part of LablGL library
Group: Development/ML
Requires: ocaml-runtime = %ocamlver

%description

 OpenGL bindings library for Objective Caml

%description runtime

 OpenGL bindings library for Objective Caml


%prep
%setup -q -nlablgl-%version
%patch0 -p1

%build
make
make opt

%install
%define _compress_method skip

mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/
mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/stublibs/
mkdir -p $RPM_BUILD_ROOT/usr/bin/
make install
#(cd $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib; 
# ln -s ../lablGL/dlllablgl.so;
# ln -s ../lablGL/dlltogl.so)
(cd $RPM_BUILD_ROOT/usr/lib/ocaml/lablGL;
 ocamlopt -nolinkstd -ccopt -L. -shared -o lablgl.so stdlib.so.cmxa lablgl.cmxa -linkall;
 ocamlopt -nolinkstd -ccopt -L. -shared -o lablglut.so stdlib.so.cmxa lablglut.cmxa -linkall;
 ocamlopt -nolinkstd -ccopt -L. -shared -o togl.so stdlib.so.cmxa togl.cmxa -linkall
)

(cd $RPM_BUILD_ROOT; find usr/lib/ocaml/ ! -type d  ! -name '*.so' -printf "/%%p\n") > files
(cd $RPM_BUILD_ROOT; find usr/lib/ocaml/ -name '*.so' -printf "/%%p\n") > runfiles


%files -f files
%doc CHANGES COPYRIGHT README Togl/examples/ LablGlut/examples/

%files runtime -f runfiles
%dir %_libdir/ocaml/lablGL
/usr/bin/*

%changelog
* Sun Jul 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.00-alt6
- rebuild

* Fri May  7 2004 Alexander V. Nikolaev <avn@altlinux.org> 1.00-alt5.1
- Non-maintainer upload
- Add "packager" to spec
- Rebuild with glibc 2.3.x and ocaml 3.07-alt6.1

* Wed Mar 17 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.00-alt5
- rebuild


* Wed Feb 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.00-alt4
- rebuild


* Tue Jan 27 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.00-alt3
rebuild

* Wed Nov 12 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.00-alt2
relaxed elf verifying


* Fri Oct 10 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.00-alt1
- a new version.

* Thu Oct 09 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.99-alt1
- A new version, rebuild with 3.07

* Wed Aug 27 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.98-alt4s
- rebuild (new ocaml version)

* Fri Jan 31 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.98-alt3s
- rebuild with a shared libraries support

* Tue Jan 21 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.98-alt3
- exact libGLU-devel dependency

*Tue Aug 20 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.98-alt2
- Rebuild with 3.06
- Runtime part now separated

*Fri Aug 2 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.98-alt1
- New version released

*Mon Jul 29 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt10
- Rebuilt with 3.05 release

*Mon Jun 24 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt9
- Rebuild with 3.04_15

*Tue May 14 2002 Vitaly Lugovsky <vsl@altlinux.ru> 4.97-alt8
- Rebuild with 3.04_10, no more post and preun scripts


*Tue Apr 16 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt7
- Rebuild with ocaml-3.04+9
- Patch from vsu <vsu@mivlgu.murom.ru> (bugfix for path in lablgltop
  script).

*Sat Mar  2 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt6
- Rebuild with ocaml-3.04+7-alt1

*Fri Feb 22 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- camlp4 dependency added.

*Sun Feb 17 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- Rebuild with ocaml-3.04-alt4 (shared patch disabled)

*Fri Jan 25 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- native compilation added

*Mon Jan 23 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- First RPM release.
